%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Updated 20 Nov 2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{afmi}
  [2010/09/13 Annals of Fuzzy Mathematics and Informatics Class 
  (K. Hur)]

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{amsart}}
\ProcessOptions

\LoadClass[10pt]{amsart}

\usepackage{latexsym}
\usepackage{amsfonts}
\usepackage{epsfig}
\usepackage[cp850]{inputenc}
\usepackage[english]{babel}
\usepackage{ifthen}
\usepackage{graphicx}
\usepackage{float}

\usepackage{amstext}
\usepackage{syntonly}

\usepackage{amsthm}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{mathrsfs}
  \usepackage{fancyhdr}   \pagestyle{fancy}
  \usepackage{afterpage}
\usepackage[colorlinks,urlcolor=blue]{hyperref}
 %R  \usepackage[dvips]{color}

\textheight=195truemm  
\textwidth=128truemm  

\DeclareMathOperator*{\supp}{supp}
\DeclareMathOperator*{\coord}{coord}
\DeclareMathOperator*{\nw}{nw}

\newcommand{\arttitle}{}
\newcommand{\arttitlecab}{}

\renewcommand{\emptyset}{\varnothing}
\setcounter{tocdepth}{0}
\newcommand{\l@arti}{\vskip0.5cm\@dottedtocline{0}{1.5em}{2.3em}}

\def\pageno=\thepage
%R \def\advancepageno{ifnum\pageno<0 \global\advance\pageno by -1
%R           \else\global\advance\pageno by 1 \fi}
 \def\advancepageno{ifnum\pageno<0 \global\advance\pageno by -1
           \else\global\advance\pageno by 1 \fi}

 \renewcommand{\theequation}{\thesection .\arabic{equation}}

\renewcommand{\title}[2]{\renewcommand{\thefootnote}{\fnsymbol{footnote}}
\setcounter{section}{0}\setcounter{footnote}{0}
\begin{center} {\LARGE\bf #1}\end{center}\bigskip
\bigskip\thispagestyle{empty}
\renewcommand{\arttitle}{#1}\renewcommand{\arttitlecab}{#2}}

\renewcommand{\author}[2]{\begin{center} {\sc #1}
\end{center}\vspace{1cm}\addcontentsline{toc}{arti}{\arttitle. By #2}\markboth{ #2}{\arttitlecab}
\renewcommand{\thefootnote}{\arabic{\footnote}}}

%R \renewcommand{\address}[2]{\vspace{1.5cm}{\sc #1}\newline{\it #2}}
 \renewcommand{\address}[2]{\vspace{5mm}{ #1}\newline{\it #2}}

 \newcommand{\ack}[1]{ \vspace{3mm}\textbf{Acknowledgements.} #1}

 \renewcommand{\email}{{\tt }}

\newcommand{\received}[1]{{\small{Received #1}}}
\newcommand{\revised}[1]{{\small{Revised #1}}}
\newcommand{\accepted}[1]{{\small{Accepted #1}}}

\renewcommand{\maketitle}{\relax}

\def\@bibliosize{\small}
\def\@historysize{\small}
\def\@keywordsize{\small}
\def\@overaddressskip{2pt}
\def\@titlesize{\Large\bfseries}
\def\@authorsize{\large}
\def\@keywordheading{{\it Key words: \ }}
\def\@addressstyle{\small\itshape}
\def\@captionsize{\small}
\def\@tablecaptionsize{\@captionsize}
\def\@figurecaptionsize{\@captionsize}
\def\@tablesize{\small}
\def\@keywordwidth{.8\textwidth}
\def\@abstractwidth{.8\textwidth}

\def\@correspondingauthorsize{\small}
\def\@correspondingauthorheading{{\it Corresponding Author: \ }}

\renewenvironment{abstract}{
\begin{center}\begin{minipage}[c]{105mm} {\sffamily\sc Abstract.
}\small}
{\end{minipage}\end{center}
\bigskip}

\newenvironment{keyword}{{\sffamily\upshape Keywords: }}%
{\endtrivlist\medskip}

\newenvironment{AMS}{{\sffamily\upshape 2010 AMS Classification: }}%
{\endtrivlist\medskip}

\newenvironment{correspondingauthor}{{\sffamily\upshape Corresponding Author: }}%
{\endtrivlist\medskip}

\long\def\@makealgocaption#1#2{\vskip 2ex \small
  \hbox to \hsize{\parbox[t]{\hsize}{{\bf #1.} #2}}}
\newcounter{algorithm}
\def\thealgorithm{\@arabic\c@algorithm}
\def\fps@algorithm{tbp}
\def\ftype@algorithm{4}
\def\ext@algorithm{lof}
\def\fnum@algorithm{Algorithm \thealgorithm}
\def\algorithm{\let\@makecaption\@makealgocaption\@float{algorithm}}
\let\endalgorithm\end@float

%R This makes the "Annals of Fuzzy Mathematics and Informatics" 
%R heading for the first page.
\newcommand{\afmivol}{}
\newcommand{\journalvol}[1]{\renewcommand{\afmivol}{#1}}
\newcommand{\afmino}{}
\newcommand{\journalno}[1]{\renewcommand{\afmino}{#1}}
\newcommand{\afmiyear}{}
\newcommand{\journalyear}[1]{\renewcommand{\afmiyear}{#1}}
\newcommand{\afmifin}{}
\newcommand{\pagefin}[1]{\renewcommand{\afmifin}{#1}}

\newsavebox{\afmitext}
\sbox{\afmitext}{\small\textsc{{\bf A}nnals of {\bf F}uzzy {\bf M}athematics and {\bf I}nformatics}}
\newlength{\afmilength}
\settowidth{\afmilength}{\usebox{\afmitext}}

\newcommand{\afmititle}{
\noindent
% $\begin{array}{l@{\hspace{9mm}}r}
 $\begin{array}{l@{}r}
 \parbox{\afmilength}{\leftline{\small {\bf A}nnals of {\bf F}uzzy {\bf M}athematics and {\bf I}nformatics} 
%R      {\small Ann. Fuzzy Math. Inf.} \\%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   {\small Volume \afmivol, No. \afmino, \afmiyear,}
   {\small pp. \thepage --\afmifin}
    \\ {\small ISSN: 2093--9310 (print version)}    %%%%%%%%%%%%%%%%%%%%%%
    \\ {\small ISSN: 2287--6235 (electronic version)}    %%%%%%%%%%%%%%%%%%%%%%
  \\ {\small http://www.afmi.or.kr}}  & 
     \hfill\parbox{\afmilength}{\textcolor{blue}{\huge{\bf @$\mathbb{FMI}$}}
     \\  {\small \copyright \ Research Institute for Basic \\ \phantom{aaa}Science, Wonkwang University }
     \\  {\small http://ribs.wonkwang.ac.kr} }
\end{array}$
\vspace{7mm}\\}
\endinput
